*,
::after,
::before {
  /* https://developer.mozilla.org/en-US/docs/Web/CSS/box-sizing */
  box-sizing: border-box;
}

.row {
  display: flex;
  flex-wrap: wrap;
}

.col {
  display: flex;
  flex-direction: column;
}

/* 12 grid layout */
.col-1 {
  flex-basis: calc(1 / 12 * 100%);
}
.col-2 {
  flex-basis: calc(2 / 12 * 100%);
}
.col-3 {
  flex-basis: calc(3 / 12 * 100%);
}
.col-4 {
  flex-basis: calc(4 / 12 * 100%);
}
.col-5 {
  flex-basis: calc(5 / 12 * 100%);
}
.col-6 {
  flex-basis: calc(6 / 12 * 100%);
}
.col-7 {
  flex-basis: calc(7 / 12 * 100%);
}
.col-8 {
  flex-basis: calc(8 / 12 * 100%);
}
.col-9 {
  flex-basis: calc(9 / 12 * 100%);
}
.col-10 {
  flex-basis: calc(10 / 12 * 100%);
}
.col-11 {
  flex-basis: calc(11 / 12 * 100%);
}
.col-12 {
  flex-basis: calc(12 / 12 * 100%);
}
.col-auto {
  flex: 1; /* take up remaining space */
}

/* for mobile */
@media (max-width: 576px) {
  .col-sm-1 {
    flex-basis: calc(1 / 12 * 100%);
  }
  .col-sm-2 {
    flex-basis: calc(2 / 12 * 100%);
  }
  .col-sm-3 {
    flex-basis: calc(3 / 12 * 100%);
  }
  .col-sm-4 {
    flex-basis: calc(4 / 12 * 100%);
  }
  .col-sm-5 {
    flex-basis: calc(5 / 12 * 100%);
  }
  .col-sm-6 {
    flex-basis: calc(6 / 12 * 100%);
  }
  .col-sm-7 {
    flex-basis: calc(7 / 12 * 100%);
  }
  .col-sm-8 {
    flex-basis: calc(8 / 12 * 100%);
  }
  .col-sm-9 {
    flex-basis: calc(9 / 12 * 100%);
  }
  .col-sm-10 {
    flex-basis: calc(10 / 12 * 100%);
  }
  .col-sm-11 {
    flex-basis: calc(11 / 12 * 100%);
  }
  .col-sm-12 {
    flex-basis: calc(12 / 12 * 100%);
  }
  .col-sm-auto {
    flex: 1;
  }
}

/* alignment utilities */
.align-items-start {
  align-items: flex-start;
}

.align-items-center {
  align-items: center;
}

.justify-content-center {
  justify-content: center;
}

/* spacing utilities */
.gap-07 {
  gap: 0.7rem;
}

.gap-1 {
  gap: 1rem;
}
